All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::memory_exception Class Reference

Exception class in case of memory errors. More...

`#include <forwards.h>`

Inheritance diagram for viennacl::memory_exception:

## Public Member Functions

| memory_exception ()
| memory_exception (std::string message)
virtual const char * | what () const throw ()
virtual | ~memory_exception () throw ()

## Detailed Description

Exception class in case of memory errors.

Definition at line 572 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::memory_exception::memory_exception | ( |  | ) |

inline

Definition at line 575 of file forwards.h.

viennacl::memory_exception::memory_exception | ( | std::string | message | ) |

inline

Definition at line 576 of file forwards.h.

virtual viennacl::memory_exception::~memory_exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 580 of file forwards.h.

## Member Function Documentation

virtual const char* viennacl::memory_exception::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 578 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/forwards.h